/*
 * item.h
 *
 * things having to do with item characteristics
 *
 * from PSL Empire, 1985
 * $Revision: 1.1 $ $Date: 89/12/12 17:00:14 $
 */


#define	NUMPKG	4		/* number of different kinds of packaging */

struct	ichrstr	{
	int	i_mnem;		/* usually the initial letter */
	int	i_vtype;	/* var type */
	int	i_value;	/* mortgage value */
	int	i_sell;		/* can this be sold? */
	int	i_lbs;		/* how hard to move */
	short	i_secure;	/* how heavily guarded it is */
	int	i_pkg[NUMPKG];	/* units for reg, ware, urb, bank */
	char	*i_nam;		/* short name of item */
	char	*i_name;	/* full name of item */
};


/* variables using this structure */

extern  struct ichrstr ichr[];
extern	int maxitem;

/* procedures using/returning this struct */

extern	struct ichrstr *whatitem();
