.TH Command LOAD
.SY "load <SHIP/TANK/BALLOON/FLEET> <AMOUNT> <COMMODITY>"
.SY "load <CARRIER/SUBMARINE> <PLANE/MISSILE> plane"
.SY "load <SHIP> <TANK> tank"
The load command carries out the loading of ships, tanks, and
balloons.  Commodities (like guns, military, food) can be loaded
onto almost any ship, tank, or balloon.  
Missiles can be loaded onto nuke subs and planes can be loaded
onto carriers.  Tanks can be loaded on any ship that has 'trans'
capability.  The \*Qshow ship capabilities\*U command can be
used to determine vehicle capabilities and cargo capacities.
.s3
Loading and unloading can be performed only in sectors that are
at least 2% efficient.  Ships can load and unload only in harbors;
balloons can be loaded/unloaded in harbors and airports; tanks
can be loaded/unloaded on any land sector except bridge spans.
.s3 
In the first form, \*Qload vehicle# amount commodity\*U,
the amount argument specifies the amount of the given commodity
you wish to load on each vehicle specified.
Amounts greater than that allowed will be truncated to the
maximum possible.
.s3
In the second form, \*Qload carrier# plane# 'plane'\*U,
where you say \*Qplane\*U instead of say \*Qciv\*U a plane/missile
is loaded onto a carrier/sub.  A carrier can carry a maximum of
eight planes.
.s3
In the third form, \*Qload ship# tank# 'tank'\*U, the specified
land vehicle is loaded onto a ship capable of transporting
vehicles (carriers, cargo ships).  A ship can carry a maximum
of four tanks, and the tanks can belong to a foreign ally.
Commodities aboard a ship and any of your own tanks it is 
transporting can be exchanged enroute by using the \*Qtend\*U 
command.
.s3
Use the \*Qshow ship cap\*U command for a table of the maximum 
amounts of each items that can be carried on each ship type.
.s3
See also : unload, navigate, show, ship-types, tank-types, train-type,
balloon-types
