#ifndef lint
static char *RCSid = "$Header: round.c,v 1.1 89/05/17 20:54:14 mr-frog Exp $";
#endif

/*
 * round.c
 *
 * round off
 *
 * from PSL Empire, 1985
 */

int round(n, m)
int m,n;
{
    register int r11;
    r11 = (m >> 1) + n;
    return (r11 / m * m);
}

int ldround(a4, ac)
double a4;
int ac;
{
    int	f4;
    f4 = ac / 2.0 + a4;
    return (f4 / ac * ac);
}

/*
**  estimate - return approximately 'n' with 'acc' percentage accuracy
*/
int estimate(n,acc)
int n,acc;
{
    int r1;
    double pm1,maxerror,percentage;
    if (acc==0) return n;
    maxerror = (double)n * (double)acc / 100.0;
    percentage = (double)(random() % 100) / 100.0;
    pm1 = (double)(1-((random()%1)<<1)); /* plus or minus 1 */
    r1 = n + pm1*percentage*maxerror;
    return (r1);
}

/*
**  limestimate - same as above, but don't exceed limits
*/
int limestimate(n,acc,minval,maxval)
int n,acc,minval,maxval;
{
    int r1;
    r1 = estimate(n,acc);
    return (r1>maxval ? maxval : (r1<minval ? minval :r1));
}
