#ifndef lint
static char *RCSid = "$Header: diso.c,v 1.1 89/12/14 08:19:25 jay Exp $";
#endif /* not lint */

/*
**  disown.c
**
**  Disown one or more sectors
**
**  12/91 Bill Frolik
*/

#include "misc.h"
#include "xy.h"
#include "sect.h"
#include "nsc.h"
#include "nat.h"
#include "deity.h"
#include "file.h"

disown()
{
    extern char *argp[];
    struct sctstr sect;
    int	nsect,n;
    struct nstr_sect nstr;
    char *p;

    if (!snxtsct(&nstr, argp[1])) return RET_SYN;

    p = getstarg(argp[2],"Are you SURE you want to disown this area? (n) ");
    if (!p || (*p != 'y')) return RET_FAIL;

    for (nsect=0; nxtsct(&nstr, &sect);) {
	if (god || (sect.sct_own == cnum)) {
	    if (god) pr(fmt("%3d ", sect.sct_own));
	    pr(xyfmt("%4d,%-4d", sect.sct_x, sect.sct_y, cnum));
	    pr(fmt(" %c", dchr[sect.sct_type].d_mnem));
	    pr(" -- disowned\n");
	    n = sect.sct_loyal + 30 + roll(100);
	    sect.sct_loyal = (n>255) ? 255 : n;
	    sect.sct_own = 0;
	    putsect(&sect);
	    nsect++;
	}
    }
    pr(fmt("%d sector%s disowned\n", nsect, splur(nsect)));
    return RET_OK;
}
