#ifndef lint
static char *RCSid = "$Header: upda.c,v 1.1 89/12/14 08:21:11 jay Exp $";
#endif /* not lint */

/*
 * upda.c
 *
 * Give the time of the next update
 *
 */

#include <time.h>
#include "misc.h"

upda()
{
	extern	int s_p_etu;
	extern	int etu_per_update;
	extern	int adj_update;
	time_t	now;
	time_t	upd_time;
	time_t	next_update;
	int	secs_per_update;
	int	delta;

	(void) time(&now);
	upd_time = now + adj_update;
	secs_per_update = etu_per_update * s_p_etu;
	delta = secs_per_update - (upd_time % secs_per_update);
	next_update = now + delta;
	pr(fmt("The next update is at %19.19s.\n",ctime(&next_update)));
	pr(fmt("The current time is %19.19s.\n",ctime(&now)));
	return 0;
}
