#ifndef lint
static char *RCSid = "$Header: seize.c,v 1.0 91/09/20 13:28:41 bill Exp $";
#endif

#include "misc.h"
#include "nat.h"
#include "sect.h"
#include "plane.h"
#include "ship.h"
#include "file.h"
#include "loc.h"

seizeassets(c1,c2)
natid c1,c2;
{
    seizeplanes(c1,c2);
}

/* _____________________________________________________________________
**|                                                                     |
**| seizeplanes - If relations between c1 and c2 don't permit one       |
**|               country to hangar the other's aircraft, seize         |
**|               the planes that are parked where they don't belong.   |
**|_____________________________________________________________________|
*/

seizeplanes(c1,c2)
natid c1,c2;
{
    struct plnstr plane;
    struct sctstr sect;
    struct shpstr ship;
    int m1,m2,i,loctype,pn;
    struct nstr_item ni;
    natid locown,plnown;
/*    Change to kill bug in cap capture...
char *loc;
    
    m1 = (1 << getrel(c1,c2)) | (1 << getrel(c1,c2)); */
char *loc;
struct natstr *p1, *p2;

p1 = getnatp(c1); p2 = getnatp(c2);
m1 = (1 << getrel(p1,p2)) | (1 << getrel(p1,p2));

    m2 = 0
#ifdef USENEUTRALAIRPORTS
	| 1
#endif
#ifdef USEALLIEDAIRPORTS
	| 2
#endif
#ifdef USEHOSTILEAIRPORTS
	| 4
#endif
#ifdef USEENEMYAIRPORTS
	| 8
#endif    
    ;
    if ((m1 ^ m2) != 0) {
	for (pn=0; getplane(pn,(char *)&plane); pn++) {
	    if (plane.pln_own==c1 || plane.pln_own==c2) {
		plnown = plane.pln_own;
		if (plane.pln_ship<0) {
		    if (i=getsect(plane.pln_x,plane.pln_y,&sect)) {
			loc = (char *)&sect;
			loctype = EF_SECTOR;
			locown = sect.sct_own;
		    }
		} else {
		    if (i=getship(plane.pln_ship,&ship)) {
			loc = (char *)&ship;
			loctype = EF_SHIP;
			locown = ship.shp_own;
		    }
		}
		if (!i) {
		    plane.pln_own = 0;
		    plane.pln_effic = 0;
		    putplane(plane.pln_uid,&plane);
		} else {
		    if ((locown==c1 || locown==c2) && locown!=plnown) {
			wu(0, plnown, fmt("Your %s seized by %s %s\n",
					  planeas(&plane,0),cname(locown),
					  locasc(loc,loctype,LPS,plnown)));
			wu(0, locown, fmt("%s seized %s",
					  planeas(&plane,LO),
					  locasc(loc,loctype,LPS,locown)));
			plane.pln_own = locown;
			plane.pln_effic = 20;
			putplane(plane.pln_uid,&plane);
		    }
		}
	    }
	}
    }
}

