static char *RCSid = "$Header: sendclient.c,v 1.1 89/12/14 12:32:18 jay Exp $";

/*
 * sendclient.c
 *
 * send and recieve commands
 *
 * Dave Pare, 1986
 */

#include "misc.h"
#include "proto.h"
#include "sailio.h"
#include "login.h"

#include <netinet/in.h>
#include <errno.h>

sendclient(iop, val, str)
	SAIL	*iop;
	int	val;
	char	*str;
{
	char	buf[1024];

	if (str != 0)
		(void) sprintf(buf, "%x %s\n", val, str);
	else
		(void) sprintf(buf, "%x\n", val);
	(void) sputs(buf, iop);
}

int
recvclient(iop, cmd, bp)
	SAIL	*iop;
	char	*cmd;
	char	*bp;
{
	extern	int errno;
	char	buf[1024];
	char	*p;
	char	*r;

	*buf = 0;
	errno = 0;
	if (sgets(buf, sizeof(buf), iop, 1000) == 0)
		return 0;
	buf[sizeof(buf)-1] = 0;
	*bp = 0;
	*cmd = 0;
	r = index(buf, '\0');
	if (r > buf) {
		r--;
		if (*r == '\n' || *r == '\r')
			*r = '\0';
	}
	p = index(buf, ' ');
	if (p != 0)
		*p++ = 0;
	else
		p = r;
	if (p - buf > 20) {
		/* silently truncate cmds > 20 */
		buf[20] = 0;
		return 0;
	}
	strcpy(cmd, buf);
	strcpy(bp, p);
	return 1;
}
