#ifndef lint
static char *RCSid = "$Header: carg.c,v 1.1 89/12/14 08:19:22 jay Exp $";
#endif /* not lint */

/*
 * carg.c
 *
 * from PSL Empire, 1985
 */

#include "misc.h"
#include "var.h"
#include "xy.h"
#include "sect.h"
#include "ship.h"
#include "nsc.h"
#include "nat.h"
#include "file.h"
#include "deity.h"

carg()
{
    extern char *argp[];
    int	nships;
    struct nstr_item ni;
    struct shpstr ship;
    if (!snxtitem(&ni, EF_SHIP, argp[1])) return RET_SYN;
    for (nships=0; nxtitem(&ni, (char *)&ship);) {
	if ((cnum != ship.shp_own) && !god) continue;
	if (ship.shp_type < 0 || ship.shp_type > shp_maxno) {
	    pr(fmt("bad ship type %d (#%d)\n", ship.shp_type, ni.cur));
	    continue;
	}
	nships += vcshowcargo(&ship,(nships==0),0,-1);
    }
    return summarize(argp[1],nships,"vehicle");
}

showcargo(ship,header,plusorminus)
struct shpstr *ship;
int header,plusorminus;
{
    return vcshowcargo(ship,header,plusorminus,mchr[ship->shp_type].m_class);
}

vcshowcargo(ship,header,plusorminus,vc)
struct shpstr *ship;
int header,plusorminus;
{
    int	vec[I_MAX+1];
    if (vc != -1) 
	if (mchr[ship->shp_type].m_class != vc) return 0;
    if (header) {
	prest(plusorminus);
	if (god) pr("own ");
	prvcheader(vc,
	    "  x,y    f/c   eff  sh gun pet irn dst bar oil lcm hcm rad\n");
    }
    if (god) pr(fmt("%3d ",ship->shp_own));
    pr(fmt("%4d ", ship->shp_uid));
    pr(fmt("%-14.14s ", mchr[ship->shp_type].m_name));
    pr(fmt("%s ", xyfmt("%4d,%-4d", ship->shp_x, ship->shp_y, cnum)));
    pr(fmt("%1c %1c ", ship->shp_fleet,ship->shp_convoy));
    pr(fmt("%4d%%", estimate(ship->shp_effic,plusorminus)));
    getvec(VT_ITEM, vec, (char *)ship, EF_SHIP);
    pr(fmt("%4d", estimate(vec[I_SHELL],plusorminus)));
    pr(fmt("%4d", estimate(vec[I_GUN],plusorminus)));
    pr(fmt("%4d", estimate(vec[I_PETROL],plusorminus)));
    pr(fmt("%4d", estimate(vec[I_IRON],plusorminus)));
    pr(fmt("%4d", estimate(vec[I_DUST],plusorminus)));
    pr(fmt("%4d", estimate(vec[I_BAR],plusorminus)));
    pr(fmt("%4d", estimate(vec[I_OIL],plusorminus)));
    pr(fmt("%4d", estimate(vec[I_LCM],plusorminus)));
    pr(fmt("%4d", estimate(vec[I_HCM],plusorminus)));
    pr(fmt("%4d\n", estimate(vec[I_RAD],plusorminus)));
    return 1;
}    
