#ifndef lint
static char *RCSid = "$Header: tele.c,v 1.1 89/12/14 08:21:00 jay Exp $";
#endif

/*
 * tele.c
 *
 * from PSL Empire, 1985
 */

#include "misc.h"
#include "nat.h"
#include "tel.h"
#include "news.h"
#include "deity.h"
#include "file.h"

tele()
{
	extern	char *argp[];
	natid	to;
	struct	natstr *natp;
	struct	natstr *np;
	int	teltype;
	char    buf[513];
	int	n;

	natp = getnatp(cnum);
	if (*argp[0] == 'a') {
		if (!god) {
			if (natp->nat_money <= 100) {
				pr("You don't have the $100\n");
				return RET_FAIL;
			}
		}
		if (getele("everybody", buf) <= 0) {
			pr("Telegram aborted\n");
			return RET_SYN;
		}
		NAT_DELTA(nat_money, cnum, -100);
		pr("\n");
		for (to=0; np = getnatp(to); to++) {
			if (to == cnum)
				continue;
			if ((np->nat_stat & STAT_NORM) == 0)
				continue;
			if (typed_wu(cnum, to, buf, TEL_ANNOUNCE))
				logerror("tele: typed_wu failed to #%d", to);
		}
	} else {
		if ((n = natarg(argp[1], "for which country? ")) < 0)
			return RET_SYN;
		to = n;
		natp = getnatp(to);
		if ((natp->nat_stat & STAT_NORM) == 0) {
			pr(fmt("%s has no \"telegram priveleges\".\n",
			       cname(to)));
			return RET_SYN;
		}
		if (getele(cname(to), buf) < 0) {
			pr("Telegram aborted\n");
			return RET_SYN;
		}
		pr("\n");
		teltype = god ? TEL_BULLETIN : TEL_NORM;
		if (typed_wu(cnum, to, buf, teltype) < 0) {
			logerror("tele: typed_wu failed to #%d", n);
			return RET_FAIL;
		}
		if (!god && (natp->nat_stat & GOD) != GOD)
			nreport(cnum, N_SENT_TEL, to, 1);
	}
	return RET_OK;
}
