#ifndef lint
static char *RCSid = "$Header: border.c,v 1.1 89/12/14 13:28:08 jay Exp $";
#endif

/*
** border.c
**
** create a border around a map
**
** from PSL Empire, 1985
*/

#include "misc.h"
#include "nat.h"
#include "file.h"
#include "xy.h"

border(rp, prefstr, sep)
struct range *rp;
char *prefstr;	/* prefixes each line */
char *sep;	/* separates the numbers */
{
    register int posi;
    register int n;
    register int x;

#if (WORLD_X/2 > 100)
    if (rp->lx + rp->width > 99 || rp->hx - rp->width < -99) {

	/*
	**  Hundreds
	*/

	pr(prefstr);
	for (x=rp->lx, n=0; n < rp->width; n++, x++) {
	    pr(sep);
	    if (x >= WORLD_X/2) x -= WORLD_X;
	    if (x < 0 && x > -100) pr("-");
	    else {
		posi = (x < 0 ? -x : x) / 100;
		pr(fmt("%d", posi % 10));
	    }
	}
	pr("\n");
    }
#endif

    /*
    **  Tens
    */

    pr(prefstr);
    for (x=rp->lx, n=0; n < rp->width; n++, x++) {
	if (x >= WORLD_X/2)
	    x -= WORLD_X;
	pr(sep);
	if (x < 0 && x > -10) {
	    pr("-");
	} else {
	    posi = (x < 0 ? -x : x) / 10;
	    pr(fmt("%d", posi % 10));
	}
    }
    pr("\n");

    /*
    **  Units...
    */

    pr(prefstr);
    for (x=rp->lx, n=0; n < rp->width; n++, x++) {
	if (x >= WORLD_X/2)
	    x -= WORLD_X;
	posi = (x < 0 ? -x : x);
	pr(fmt("%s%d", sep, posi % 10));
    }
    pr("\n");
}
