/*
**  spy.c
**
**  Spy post-read and pre-write routines
**
**  7/24/91 Bill Frolik
*/

#include "misc.h"
#include "spy.h"
#include "xy.h"
#include "file.h"
#include "nat.h"
#include "deity.h"
#include "loc.h"
#include "ship.h"

int spy_postread(n, ptr)
int n;
char *ptr;
{
    struct spystr *spy = (struct spystr *) ptr;
    struct shpstr theship;
    char *p;
    int kill;
    
    if ((spy->spy_ship >= 0) && spy->spy_own && (spy->spy_effic >= 10)) {

	if ( kill = (!getship(spy->spy_ship, &theship)) ) {
/*	    pr("Ship doesn't exist"); */
	}
	else if ( kill = (theship.shp_effic < 20) ) {
/*	    pr("Ship no longer exists"); */
	}
	else {
	    kill = 0;
	}

	if (kill) {
	    p = fmt("%s is dead.\n", spyas(spy,0));
	    if (spy->spy_own && (spy->spy_own != cnum))
		wu(0, spy->spy_own, p);
	    pr(p);
	    spy->spy_own = 0;
	    (void) ef_nbwrite(EF_SPY, n, ptr);
	} else {
	    spy->spy_x = xnorm(theship.shp_x);
	    spy->spy_y = ynorm(theship.shp_y);
	}
    }
    owner = (god || (spy->spy_own == cnum));
    dpr(fmt("spy_postread: %s own=%d ship=%d",
	    spyas(spy,LOS), spy->spy_own, spy->spy_ship));
    return 1;
}

int spy_prewrite(n, ptr)
int n;
char *ptr;
{
    struct spystr *spy = (struct spystr *) ptr;
    if (spy->spy_effic < 5) 
	spy->spy_own = 0;
    spy->spy_x = xnorm(spy->spy_x);
    spy->spy_y = ynorm(spy->spy_y);
    return 1;
}
